package com.jeeplus.test.garbageClearance.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.test.oss.domain.WorkAttachment;
import com.jeeplus.test.oss.domain.WorkAttachmentInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 垃圾清运-巡视工单
 * </p>
 *
 * @author 王强
 * @since 2024-08-29
 */
@TableName("garbage_clearance_look_over")
@ApiModel(value = "GarbageClearanceLookOver对象", description = "垃圾清运-巡视工单")
@Data
public class LookOver extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("简介")
    private String remarks;

    @ApiModelProperty("巡视工单")
    private String no;

    @ApiModelProperty("处理单位")
    private String processingUnit;

    //附件信息
    @TableField(exist = false)
    List<WorkAttachmentInfo> fileList1;
}
