package com.jeeplus.test.wdt.merchantCompany.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author: 徐滕
 * @version: 2024-01-04 14:54
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("merchant_product")
public class MerchantProduct extends BaseEntity {

    /**
     * 入驻产品名称
     */
    String name;
    /**
     * 入驻产品排序
     */
    String sort;

    /**
     * 产品销售量
     */
    String salesVolume;

    /**
     * 产品销售额
     */
    String saleroom;

    /**
     * 产品月销售额
     */
    String monthlySalesVolume;
}
