package com.jeeplus.test.wdt.merchantCompany.service.dto;

import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author: 徐滕
 * @version: 2024-01-04 14:54
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class MerchantProductDTO extends BaseDTO {

    /**
     * 入驻产品名称
     */
    String name;
    /**
     * 入驻产品排序
     */
    String sort;

    /**
     * 产品销售量
     */
    String salesVolume;

    /**
     * 产品销售额
     */
    String saleroom;

    /**
     * 产品月销售额
     */
    String monthlySalesVolume;

    /**
     * 创建时间区间
     */
    private String[] dates;


    public MerchantProductDTO() {
        super ( );
    }

    public MerchantProductDTO(String id) {
        super ( id );
    }
}
